<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li class="current"><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:

<h3><a class="anchor" id="index_b">- b -</a></h3><ul>
<li>base
: <a class="el" href="structtivx__obj__desc__cmd__t.html#abbde3c76adf07e8ed051e90629298cad">tivx_obj_desc_cmd_t</a>
, <a class="el" href="structtivx__array__t.html#afd2acd8907877b1504c4cf6c8237a75b">tivx_array_t</a>
, <a class="el" href="structtivx__convolution__t.html#a23b5535511319a35a5ba6967bc9bd36f">tivx_convolution_t</a>
, <a class="el" href="structtivx__graph__t.html#a7f42313ffd03a9ddffb31d2b8c44759d">tivx_graph_t</a>
, <a class="el" href="structtivx__parameter__t.html#aa83a224854f48a5885db14696703dea1">tivx_parameter_t</a>
, <a class="el" href="structtivx__obj__desc__scalar__t.html#a03553e82f3b8f57db56f13119f664d06">tivx_obj_desc_scalar_t</a>
, <a class="el" href="structtivx__pyramid__t.html#aaf6a3ce81c3e6f37a14a89ad41de3e01">tivx_pyramid_t</a>
, <a class="el" href="structtivx__image__t.html#a4e4404bf721fa9ee8128fa5c280a2a32">tivx_image_t</a>
, <a class="el" href="structtivx__remap__t.html#a0dd04d5c67cea1ea766dfa852f10d764">tivx_remap_t</a>
, <a class="el" href="structtivx__scalar__t.html#a68cebc55d84b1e0c481d64118956a5e8">tivx_scalar_t</a>
, <a class="el" href="structtivx__delay__t.html#a5d126376ce47e7853379ca9d5f43aed8">tivx_delay_t</a>
, <a class="el" href="structtivx__obj__desc__objarray__t.html#a78d60977f519210e28c685d21a36c1e4">tivx_obj_desc_objarray_t</a>
, <a class="el" href="structtivx__obj__desc__array__t.html#ac34a1b93372458887c746f32e24c6903">tivx_obj_desc_array_t</a>
, <a class="el" href="structtivx__obj__desc__distribution__t.html#a8699147c5f7ae673933fc128e96d2cad">tivx_obj_desc_distribution_t</a>
, <a class="el" href="structtivx__obj__desc__threshold__t.html#aaa7ecad6986d9998d1b80b92d934ff9c">tivx_obj_desc_threshold_t</a>
, <a class="el" href="structtivx__obj__desc__convolution__t.html#a7e661ca17439f071eaad08b75b86cd0a">tivx_obj_desc_convolution_t</a>
, <a class="el" href="structtivx__obj__desc__pyramid__t.html#a7f5af0f5660e6bc1e5821182c85a0fbd">tivx_obj_desc_pyramid_t</a>
, <a class="el" href="structtivx__obj__desc__lut__t.html#a9910b8c76c7e842695a4b2b20e751bac">tivx_obj_desc_lut_t</a>
, <a class="el" href="structtivx__obj__desc__matrix__t.html#a276c964b2670f2df2a98c13d17699a8b">tivx_obj_desc_matrix_t</a>
, <a class="el" href="structtivx__obj__desc__remap__t.html#a56d5bdcb8463f5959c9d21c3eb035165">tivx_obj_desc_remap_t</a>
, <a class="el" href="structtivx__obj__desc__image__t.html#a5007c18b86466d554a9957a8b7cd0514">tivx_obj_desc_image_t</a>
, <a class="el" href="structtivx__kernel__t.html#acfbb4895979ef55b8dc09c572b7075c0">tivx_kernel_t</a>
, <a class="el" href="structtivx__threshold__t.html#a4e75660a9a635f385f541331a3958a62">tivx_threshold_t</a>
, <a class="el" href="structtivx__obj__desc__node__t.html#a03b652a236d7adc1a8472a3f3568055f">tivx_obj_desc_node_t</a>
, <a class="el" href="structtivx__lut__t.html#ab867823e4fdeb2b18a5b971d6dcdfaa2">tivx_lut_t</a>
, <a class="el" href="structtivx__context__t.html#a8c234d6e9ddee9d50ecb37c7fd47dfb1">tivx_context_t</a>
, <a class="el" href="structtivx__distribution__t.html#aa21bc467ec10342598e2804287d2f8f0">tivx_distribution_t</a>
, <a class="el" href="structtivx__objarray__t.html#af02ff69ad41aefa6d8aa5a342060ecde">tivx_objarray_t</a>
, <a class="el" href="structtivx__node__t.html#ac2bb36696cbdd51f1cd5ddd4a519acd6">tivx_node_t</a>
, <a class="el" href="structtivx__matrix__t.html#aff2f09bd31a7d0c0bcbf068d793c97da">tivx_matrix_t</a>
, <a class="el" href="structtivx__meta__format__t.html#ac1b70087cf9e5ff3e7fed6cd8985df1e">tivx_meta_format_t</a>
, <a class="el" href="structtivx__error__t.html#a2962ef2969e2140f58acfeaca942b753">tivx_error_t</a>
</li>
<li>beg
: <a class="el" href="structvx__perf__t.html#abb283d5564a3d785736448c223800a52">vx_perf_t</a>
</li>
<li>bins
: <a class="el" href="structtivx__meta__format__t_1_1distribution.html#ad288cba85b04aee3231fba6888917a07">tivx_meta_format_t::distribution</a>
</li>
<li>block_rd
: <a class="el" href="structtivx__queue.html#aef27d621b4712cee42014f7bdbd85cb6">tivx_queue</a>
</li>
<li>block_wr
: <a class="el" href="structtivx__queue.html#aeafca819e65716771dc7261a2aa68f87">tivx_queue</a>
</li>
<li>blockedOnGet
: <a class="el" href="structtivx__queue.html#a160652becb399febefd6083af65102a8">tivx_queue</a>
</li>
<li>blockedOnPut
: <a class="el" href="structtivx__queue.html#a31cf4509a299a7a65f6e019156fc32ed">tivx_queue</a>
</li>
<li>boolean
: <a class="el" href="structtivx__obj__desc__scalar__t.html#ac3ee1c4ebdb2b3963098d6af9bd5448d">tivx_obj_desc_scalar_t</a>
</li>
<li>border_mode
: <a class="el" href="structtivx__target__kernel__instance__t.html#a909ef9ea964fa2f05052f8a06fdda914">tivx_target_kernel_instance_t</a>
, <a class="el" href="structtivx__obj__desc__node__t.html#acc6e3f435fe97bff1c7bea3dd569a19c">tivx_obj_desc_node_t</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
